| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros
LTC6951.h File Reference
RF, Silicon Oscillators, PLL Synthesizers, and VCOs » LTC6951: Ultra-Low Jitter 2MHz to 2.7GHz Multi-Output Clock Synthesizer with Integrated VCO

LTC6951: Ultra-Low Jitter 2MHz to 2.7GHz Multi-Output Clock Synthesizer with Integrated VCO. More...

## Detailed Description

LTC6951: Ultra-Low Jitter 2MHz to 2.7GHz Multi-Output Clock Synthesizer with Integrated VCO.

     SPI DATA FORMAT (MSB First):

     Write Sequence:
           Byte #1                    Byte #2
     MOSI: A6 A5 A4 A3 A2 A1 A0 W   D7 D6 D5 D4 D3 D2 D1 D0
     MISO: X  X  X  X  X  X  X  X   X  X  X  X  X  X  X  X

     Read Sequence:
           Byte #1                    Byte #2
     MOSI: A6 A5 A4 A3 A2 A1 A0 R   X  X  X  X  X  X  X  X
     MISO: X  X  X  X  X  X  X  X   D7 D6 D5 D4 D3 D2 D1 D0

     W    : SPI Write (0)
     R    : SPI Read  (1)
     Ax   : Address
     Dx   : Data Bits
     X    : Don't care

http://www.linear.com/product/LTC6951

http://www.linear.com/product/LTC6951#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Header for LTC6951: Ultra-Low Jitter 2MHz to 2.5GHz Multi-Output Clock Synthesizer with Integrated VCO

Definition in file LTC6951.h.

Go to the source code of this file.

## Functions
uint8_t | LTC6951_read (uint8_t cs, int8_t address)
| LTC6951 Read Single Address reads 8 bit Data field to LTC6951. More...
long | LTC6951_read_field (uint8_t cs, uint8_t address, uint8_t MSB_loc, uint8_t numbits)
| LTC6951 Read Single Field For SPI FIELDS located in 1 or multiple address location reads specific address locations identifies and returns specific field in question can handle SPI fields in multiple addresses, if MSB bit is in the lower number address. More...
long | get_LTC6951_SPI_FIELD (uint8_t cs, uint8_t f)
| Gets the LTC6951 SPI field value calls function LTC6951_read_field, which reads specific address locations identifies and returns specific field in question can handle SPI fields in multiple addresses, if MSB bit is in the lower number address. More...
void | LTC6951_write (uint8_t cs, uint8_t address, uint8_t Data)
| LTC6951 Write Single Address writes 8 bit Data field to LTC6951. More...
uint8_t | LTC6951_write_field (uint8_t cs, long field_data, uint8_t address, uint8_t MSB_loc, uint8_t numbits)
| LTC6951 Write Single Field For SPI FIELDS in 1 or multiple address locations reads specific address/field location then writes to specific field can handle SPI fields in multiple addresses, if MSB bit is in the lower number address. More...
void | set_LTC6951_SPI_FIELD (uint8_t cs, uint8_t f, long field_data)
| Sets the LTC6951 SPI field value calls function LTC6951_read_field, which reads specific address/field location then writes to specific field can handle SPI fields in multiple addresses, if MSB bit is in the lower number address. More...
void | set_LTC6951_ALLREGS (uint8_t cs, uint8_t reg01, uint8_t reg02, uint8_t reg03, uint8_t reg04, uint8_t reg05, uint8_t reg06, uint8_t reg07, uint8_t reg08, uint8_t reg09, uint8_t reg0A, uint8_t reg0B, uint8_t reg0C, uint8_t reg0D, uint8_t reg0E, uint8_t reg0F, uint8_t reg10, uint8_t reg11, uint8_t reg12)
| Writes values to ALL LTC6951 RW addresses. More...
void | set_LTC6951_REGS_lkup_tbl (uint8_t lkup_tbl_row)
| Writes values to ALL LTC6951 RW addresses from a look-up table. More...
void | set_LTC6951_REGS_freq_jump (uint8_t lkup_tbl_row, uint8_t init_setup)
| This function toggles between two frequencies. More...
void | LTC6951_init ()
| Initializes the SPI MAP arrays The values set in initialization are used for all the LTC6951 SPI/WRITE and read functions (set_LTC6951_SPI_FIELD, get_LTC6951_SPI_FIELD, LTC6951_read, LTC6951_write, etc, etc) More...
uint8_t | get_LTC6951_REGSIZE ()
| returns # of addresses in parts register map (array size) More...
uint8_t | get_LTC6951_SPI_FIELD_NUMBITS (uint8_t f)
| returns the number of bits for a given field name in the SPI map More...
uint8_t | get_LTC6951_SPI_FIELD_RW (uint8_t f)
| returns if the given field name is (0)read/write or (1)read_only field More...
int8_t | discover_demo_board_local (char *demo_name)
| Read the ID string from the EEPROM and determine if any demo board is connected. More...

## Macros
#define | LTC6951_CS QUIKEVAL_CS
| Define the SPI CS pin. More...
LTC6951 Registers Fields in Alphabetical Order
#define | LTC6951_ALCCAL 1
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_ALCEN 2
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_ALCHI 3
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_ALCLO 4
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_ALCMON 5
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_ALCULOK 6
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_AUTOCAL 7
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_BD 8
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_BST 9
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_CAL 10
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_CP 11
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_CPDN 12
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_CPMID 13
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_CPRST 14
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_CPUP 15
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_CPWIDE 16
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_DLY0 17
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_DLY1 18
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_DLY2 19
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_DLY3 20
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_DLY4 21
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_FILT 22
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_INVSTAT 23
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_LKCT 24
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_LKWIN 25
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_LOCK 26
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_NLOCK 27
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_MCO 28
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_MC1 29
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_MC2 30
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_MC3 31
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_MC4 32
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_MD0 33
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_MD1 34
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_MD2 35
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_MD3 36
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_MD4 37
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_MUTE0 38
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_MUTE1 39
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_MUTE2 40
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_MUTE3 41
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_MUTE4 42
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_ND 43
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_OINV0 44
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_OINV1 45
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_OINV2 46
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_OINV3 47
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_OINV4 48
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_PART 49
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_PD 50
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_PDALL 51
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_PDOUT 52
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_PDPLL 53
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_PDREFPK 54
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_PDVCO 55
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_POR 56
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_RAO 57
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_RD 58
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_REFOK 59
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_NREFOK 60
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_REV 61
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_SN 62
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_SR 63
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_SSYNC 64
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_SYNCEN0 65
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_SYNCEN1 66
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_SYNCEN2 67
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_SYNCEN3 68
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_SYNCEN4 69
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_UNLOCK 70
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_x 71
| for spi_map array, defines location for field specific information used to create the spi map More...
#define | LTC6951_NUM_REGADDR 20
| Defines number of LTC6951 SPI registers, used in spi_map array. More...
#define | LTC6951_NUM_REGFIELD 71
| Defines number of LTC6951 SPI fields, used in spi_map array. More...
#define | ADDRx 0
| used for 2nd dim of 2d spi_map array More...
#define | DxMSB 1
| used for 2nd dim of 2d spi_map array More...
#define | NUMBITS 2
| used for 2nd dim of 2d spi_map array More...
#define | R_ONLY 3
| used for 2nd dim of 2d spi_map array More...

## Function Documentation

## ◆ discover_demo_board_local()

int8_t discover_demo_board_local | ( | char * | demo_name | ) |

Read the ID string from the EEPROM and determine if any demo board is connected.

Returns 1 if successful, 0 if not successful

Definition at line 831 of file LTC6951.cpp.

## ◆ get_LTC6951_REGSIZE()

uint8_t get_LTC6951_REGSIZE | ( |  | ) |

returns # of addresses in parts register map (array size)

Returns
  # of addresses in parts register map

Definition at line 242 of file LTC6951.cpp.

## ◆ get_LTC6951_SPI_FIELD()

long get_LTC6951_SPI_FIELD | ( | uint8_t | cs,
|  | uint8_t | f
| ) |  |

Gets the LTC6951 SPI field value calls function LTC6951_read_field, which reads specific address locations identifies and returns specific field in question can handle SPI fields in multiple addresses, if MSB bit is in the lower number address.

Returns
  data that was read from field

Parameters

  cs | Chip Select Pin
  f | SPI field number

Definition at line 164 of file LTC6951.cpp.

## ◆ get_LTC6951_SPI_FIELD_NUMBITS()

uint8_t get_LTC6951_SPI_FIELD_NUMBITS | ( | uint8_t | f | ) |

returns the number of bits for a given field name in the SPI map

Returns
  the number of bits for a given field name in the SPI map

Parameters

  f | SPI field number

Definition at line 252 of file LTC6951.cpp.

## ◆ get_LTC6951_SPI_FIELD_RW()

uint8_t get_LTC6951_SPI_FIELD_RW | ( | uint8_t | f | ) |

returns if the given field name is (0)read/write or (1)read_only field

Returns
  if the given field is a (0)read/write or (1)read_only field

Parameters

  f | SPI field number

Definition at line 262 of file LTC6951.cpp.

## ◆ LTC6951_init()

void LTC6951_init | ( |  | ) |

Initializes the SPI MAP arrays The values set in initialization are used for all the LTC6951 SPI/WRITE and read functions (set_LTC6951_SPI_FIELD, get_LTC6951_SPI_FIELD, LTC6951_read, LTC6951_write, etc, etc)

Returns
  void

Definition at line 535 of file LTC6951.cpp.

## ◆ LTC6951_read()

uint8_t LTC6951_read | ( | uint8_t | cs,
|  | int8_t | address
| ) |  |

LTC6951 Read Single Address reads 8 bit Data field to LTC6951.

has to shift data by one bit to account for RW bit

Returns
  data that was read from address

Parameters

  cs | Chip Select Pin
  address | Register address for the LTC6951.

Definition at line 108 of file LTC6951.cpp.

## ◆ LTC6951_read_field()

long LTC6951_read_field | ( | uint8_t | cs,
|  | uint8_t | address,
|  | uint8_t | MSB_loc,
|  | uint8_t | numbits
| ) |  |

LTC6951 Read Single Field For SPI FIELDS located in 1 or multiple address location reads specific address locations identifies and returns specific field in question can handle SPI fields in multiple addresses, if MSB bit is in the lower number address.

Returns
  data that was read from field

Parameters

  cs | Chip Select Pin
  address | Register address for the LTC6951.
  MSB_loc | MSB bit location of field
  numbits | length of field (i.e. number of bits in field)

Definition at line 128 of file LTC6951.cpp.

## ◆ LTC6951_write()

void LTC6951_write | ( | uint8_t | cs,
|  | uint8_t | address,
|  | uint8_t | Data
| ) |  |

LTC6951 Write Single Address writes 8 bit Data field to LTC6951.

has to shift data by one bit to account for RW bit

Returns
  void

Parameters

  cs | Chip Select Pin
  address | Register address for the LTC6951.
  Data | 8-bit data to be written to register

Definition at line 175 of file LTC6951.cpp.

## ◆ LTC6951_write_field()

uint8_t LTC6951_write_field | ( | uint8_t | cs,
|  | long | field_data,
|  | uint8_t | address,
|  | uint8_t | MSB_loc,
|  | uint8_t | numbits
| ) |  |

LTC6951 Write Single Field For SPI FIELDS in 1 or multiple address locations reads specific address/field location then writes to specific field can handle SPI fields in multiple addresses, if MSB bit is in the lower number address.

Returns
  void

Parameters

  cs | Chip Select Pin
  field_data | Value field value to be set to
  address | Register address for the LTC6951.
  MSB_loc | MSB bit location of field
  numbits | length of field (i.e. number of bits in field)

Definition at line 191 of file LTC6951.cpp.

## ◆ set_LTC6951_ALLREGS()

void set_LTC6951_ALLREGS | ( | uint8_t | cs,
|  | uint8_t | reg01,
|  | uint8_t | reg02,
|  | uint8_t | reg03,
|  | uint8_t | reg04,
|  | uint8_t | reg05,
|  | uint8_t | reg06,
|  | uint8_t | reg07,
|  | uint8_t | reg08,
|  | uint8_t | reg09,
|  | uint8_t | reg0A,
|  | uint8_t | reg0B,
|  | uint8_t | reg0C,
|  | uint8_t | reg0D,
|  | uint8_t | reg0E,
|  | uint8_t | reg0F,
|  | uint8_t | reg10,
|  | uint8_t | reg11,
|  | uint8_t | reg12
| ) |  |

Writes values to ALL LTC6951 RW addresses.

Returns
  void

Parameters

  cs | Chip Select Pin
  reg01 | LTC6951 register 1
  reg02 | LTC6951 register 2
  reg03 | LTC6951 register 3
  reg04 | LTC6951 register 4
  reg05 | LTC6951 register 5
  reg06 | LTC6951 register 6
  reg07 | LTC6951 register 7
  reg08 | LTC6951 register 8
  reg09 | LTC6951 register 9
  reg0A | LTC6951 register 10
  reg0B | LTC6951 register 11
  reg0C | LTC6951 register 12
  reg0D | LTC6951 register 13
  reg0E | LTC6951 register 14
  reg0F | LTC6951 register 15
  reg10 | LTC6951 register 16
  reg11 | LTC6951 register 17
  reg12 | LTC6951 register 18

Definition at line 285 of file LTC6951.cpp.

## ◆ set_LTC6951_REGS_freq_jump()

void set_LTC6951_REGS_freq_jump | ( | uint8_t | lkup_tbl_row,
|  | uint8_t | init_setup
| ) |  |

This function toggles between two frequencies.

- if measuring calibration or settling times set SPI clock to max SPI rate (8MHz)
- writes LTC6951 registers from a local look up table
- uses the Multi-byte write option for more efficient data transfer
- Calibrates VCO based on RAO and Autocal bit vales
- DOES NOT SYNC OUTPUTS
- RECOMMENDATION: If measuring settling times with E5052, NOT MUTING OUTPUT DURING CAL can provide more meaningful results
  Returns
    void

Parameters

  lkup_tbl_row | Can be 0 or 1
  init_setup | 0 = not first setup, 1= first setup

Definition at line 430 of file LTC6951.cpp.

## ◆ set_LTC6951_REGS_lkup_tbl()

void set_LTC6951_REGS_lkup_tbl | ( | uint8_t | lkup_tbl_row | ) |

Writes values to ALL LTC6951 RW addresses from a look-up table.

- uses the Multi-byte write option for more efficient data transfer
- Calibrates VCO based on RAO and Autocal bit vales
- Either SPI Syncs or recommends the use to SYNC pin based on RAO, SN and SR values
  Returns
    void

Parameters

  lkup_tbl_row | Any number 0-9, lookup table has 10 options

Definition at line 322 of file LTC6951.cpp.

## ◆ set_LTC6951_SPI_FIELD()

void set_LTC6951_SPI_FIELD | ( | uint8_t | cs,
|  | uint8_t | f,
|  | long | field_data
| ) |  |

Sets the LTC6951 SPI field value calls function LTC6951_read_field, which reads specific address/field location then writes to specific field can handle SPI fields in multiple addresses, if MSB bit is in the lower number address.

Returns
  void

Parameters

  cs | Chip Select Pin
  f | SPI field number
  field_data | Value field value to be set to

Definition at line 275 of file LTC6951.cpp.

## Macro Definition Documentation

## ◆ ADDRx

#define ADDRx 0

used for 2nd dim of 2d spi_map array

Definition at line 158 of file LTC6951.h.

## ◆ DxMSB

#define DxMSB 1

used for 2nd dim of 2d spi_map array

Definition at line 159 of file LTC6951.h.

## ◆ LTC6951_ALCCAL

#define LTC6951_ALCCAL 1

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 81 of file LTC6951.h.

## ◆ LTC6951_ALCEN

#define LTC6951_ALCEN 2

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 82 of file LTC6951.h.

## ◆ LTC6951_ALCHI

#define LTC6951_ALCHI 3

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 83 of file LTC6951.h.

## ◆ LTC6951_ALCLO

#define LTC6951_ALCLO 4

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 84 of file LTC6951.h.

## ◆ LTC6951_ALCMON

#define LTC6951_ALCMON 5

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 85 of file LTC6951.h.

## ◆ LTC6951_ALCULOK

#define LTC6951_ALCULOK 6

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 86 of file LTC6951.h.

## ◆ LTC6951_AUTOCAL

#define LTC6951_AUTOCAL 7

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 87 of file LTC6951.h.

## ◆ LTC6951_BD

#define LTC6951_BD 8

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 88 of file LTC6951.h.

## ◆ LTC6951_BST

#define LTC6951_BST 9

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 89 of file LTC6951.h.

## ◆ LTC6951_CAL

#define LTC6951_CAL 10

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 90 of file LTC6951.h.

## ◆ LTC6951_CP

#define LTC6951_CP 11

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 91 of file LTC6951.h.

## ◆ LTC6951_CPDN

#define LTC6951_CPDN 12

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 92 of file LTC6951.h.

## ◆ LTC6951_CPMID

#define LTC6951_CPMID 13

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 93 of file LTC6951.h.

## ◆ LTC6951_CPRST

#define LTC6951_CPRST 14

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 94 of file LTC6951.h.

## ◆ LTC6951_CPUP

#define LTC6951_CPUP 15

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 95 of file LTC6951.h.

## ◆ LTC6951_CPWIDE

#define LTC6951_CPWIDE 16

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 96 of file LTC6951.h.

## ◆ LTC6951_CS

#define LTC6951_CS QUIKEVAL_CS

Define the SPI CS pin.

Definition at line 76 of file LTC6951.h.

## ◆ LTC6951_DLY0

#define LTC6951_DLY0 17

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 97 of file LTC6951.h.

## ◆ LTC6951_DLY1

#define LTC6951_DLY1 18

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 98 of file LTC6951.h.

## ◆ LTC6951_DLY2

#define LTC6951_DLY2 19

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 99 of file LTC6951.h.

## ◆ LTC6951_DLY3

#define LTC6951_DLY3 20

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 100 of file LTC6951.h.

## ◆ LTC6951_DLY4

#define LTC6951_DLY4 21

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 101 of file LTC6951.h.

## ◆ LTC6951_FILT

#define LTC6951_FILT 22

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 102 of file LTC6951.h.

## ◆ LTC6951_INVSTAT

#define LTC6951_INVSTAT 23

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 103 of file LTC6951.h.

## ◆ LTC6951_LKCT

#define LTC6951_LKCT 24

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 104 of file LTC6951.h.

## ◆ LTC6951_LKWIN

#define LTC6951_LKWIN 25

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 105 of file LTC6951.h.

## ◆ LTC6951_LOCK

#define LTC6951_LOCK 26

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 106 of file LTC6951.h.

## ◆ LTC6951_MC1

#define LTC6951_MC1 29

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 109 of file LTC6951.h.

## ◆ LTC6951_MC2

#define LTC6951_MC2 30

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 110 of file LTC6951.h.

## ◆ LTC6951_MC3

#define LTC6951_MC3 31

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 111 of file LTC6951.h.

## ◆ LTC6951_MC4

#define LTC6951_MC4 32

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 112 of file LTC6951.h.

## ◆ LTC6951_MCO

#define LTC6951_MCO 28

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 108 of file LTC6951.h.

## ◆ LTC6951_MD0

#define LTC6951_MD0 33

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 113 of file LTC6951.h.

## ◆ LTC6951_MD1

#define LTC6951_MD1 34

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 114 of file LTC6951.h.

## ◆ LTC6951_MD2

#define LTC6951_MD2 35

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 115 of file LTC6951.h.

## ◆ LTC6951_MD3

#define LTC6951_MD3 36

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 116 of file LTC6951.h.

## ◆ LTC6951_MD4

#define LTC6951_MD4 37

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 117 of file LTC6951.h.

## ◆ LTC6951_MUTE0

#define LTC6951_MUTE0 38

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 118 of file LTC6951.h.

## ◆ LTC6951_MUTE1

#define LTC6951_MUTE1 39

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 119 of file LTC6951.h.

## ◆ LTC6951_MUTE2

#define LTC6951_MUTE2 40

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 120 of file LTC6951.h.

## ◆ LTC6951_MUTE3

#define LTC6951_MUTE3 41

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 121 of file LTC6951.h.

## ◆ LTC6951_MUTE4

#define LTC6951_MUTE4 42

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 122 of file LTC6951.h.

## ◆ LTC6951_ND

#define LTC6951_ND 43

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 123 of file LTC6951.h.

## ◆ LTC6951_NLOCK

#define LTC6951_NLOCK 27

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 107 of file LTC6951.h.

## ◆ LTC6951_NREFOK

#define LTC6951_NREFOK 60

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 140 of file LTC6951.h.

## ◆ LTC6951_NUM_REGADDR

#define LTC6951_NUM_REGADDR 20

Defines number of LTC6951 SPI registers, used in spi_map array.

Definition at line 155 of file LTC6951.h.

## ◆ LTC6951_NUM_REGFIELD

#define LTC6951_NUM_REGFIELD 71

Defines number of LTC6951 SPI fields, used in spi_map array.

Definition at line 156 of file LTC6951.h.

## ◆ LTC6951_OINV0

#define LTC6951_OINV0 44

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 124 of file LTC6951.h.

## ◆ LTC6951_OINV1

#define LTC6951_OINV1 45

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 125 of file LTC6951.h.

## ◆ LTC6951_OINV2

#define LTC6951_OINV2 46

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 126 of file LTC6951.h.

## ◆ LTC6951_OINV3

#define LTC6951_OINV3 47

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 127 of file LTC6951.h.

## ◆ LTC6951_OINV4

#define LTC6951_OINV4 48

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 128 of file LTC6951.h.

## ◆ LTC6951_PART

#define LTC6951_PART 49

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 129 of file LTC6951.h.

## ◆ LTC6951_PD

#define LTC6951_PD 50

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 130 of file LTC6951.h.

## ◆ LTC6951_PDALL

#define LTC6951_PDALL 51

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 131 of file LTC6951.h.

## ◆ LTC6951_PDOUT

#define LTC6951_PDOUT 52

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 132 of file LTC6951.h.

## ◆ LTC6951_PDPLL

#define LTC6951_PDPLL 53

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 133 of file LTC6951.h.

## ◆ LTC6951_PDREFPK

#define LTC6951_PDREFPK 54

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 134 of file LTC6951.h.

## ◆ LTC6951_PDVCO

#define LTC6951_PDVCO 55

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 135 of file LTC6951.h.

## ◆ LTC6951_POR

#define LTC6951_POR 56

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 136 of file LTC6951.h.

## ◆ LTC6951_RAO

#define LTC6951_RAO 57

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 137 of file LTC6951.h.

## ◆ LTC6951_RD

#define LTC6951_RD 58

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 138 of file LTC6951.h.

## ◆ LTC6951_REFOK

#define LTC6951_REFOK 59

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 139 of file LTC6951.h.

## ◆ LTC6951_REV

#define LTC6951_REV 61

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 141 of file LTC6951.h.

## ◆ LTC6951_SN

#define LTC6951_SN 62

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 142 of file LTC6951.h.

## ◆ LTC6951_SR

#define LTC6951_SR 63

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 143 of file LTC6951.h.

## ◆ LTC6951_SSYNC

#define LTC6951_SSYNC 64

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 144 of file LTC6951.h.

## ◆ LTC6951_SYNCEN0

#define LTC6951_SYNCEN0 65

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 145 of file LTC6951.h.

## ◆ LTC6951_SYNCEN1

#define LTC6951_SYNCEN1 66

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 146 of file LTC6951.h.

## ◆ LTC6951_SYNCEN2

#define LTC6951_SYNCEN2 67

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 147 of file LTC6951.h.

## ◆ LTC6951_SYNCEN3

#define LTC6951_SYNCEN3 68

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 148 of file LTC6951.h.

## ◆ LTC6951_SYNCEN4

#define LTC6951_SYNCEN4 69

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 149 of file LTC6951.h.

## ◆ LTC6951_UNLOCK

#define LTC6951_UNLOCK 70

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 150 of file LTC6951.h.

## ◆ LTC6951_x

#define LTC6951_x 71

for spi_map array, defines location for field specific information used to create the spi map

Definition at line 151 of file LTC6951.h.

## ◆ NUMBITS

#define NUMBITS 2

used for 2nd dim of 2d spi_map array

Definition at line 160 of file LTC6951.h.

## ◆ R_ONLY

#define R_ONLY 3

used for 2nd dim of 2d spi_map array

Definition at line 161 of file LTC6951.h.